/*******************************************************************************
* Copyright (c) 2006 IONA Technologies PLC
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
* 
* Contributors:
*     IONA Technologies PLC - initial API and implementation
*******************************************************************************/
package org.eclipse.stp.sc.jaxws;

import java.io.File;
import org.eclipse.jface.preference.IPreferenceStore;
import org.eclipse.stp.sc.jaxws.preferences.SCPreferenceConstants;


/**
 * various utilities to find resources within a standard celtix kit folder structure
 */
@Deprecated
public class CeltixKitUtils {

    private static final String SEP = File.separator;
    private static final String LIB_PATH_IN_KIT = SEP + "lib";

    public static final String WEB_XML_NAME = "web.xml";

    public static final String WEB_XML_PATH_IN_KIT = SEP + "etc" + SEP + WEB_XML_NAME;

    public static final String PROPERTY_KIT_LOCATION = "jaxws_kit_location";

    protected CeltixKitUtils() {
    }

    
    public static String getCeltixInstallPath() {
        IPreferenceStore preferenceStore = ScJaxWsPlugin.getDefault().getPreferenceStore();
        String kitPath = preferenceStore.getString(SCPreferenceConstants.KEY_RUNTIME_INSTALL_ROOT);

        if ((kitPath == null) || kitPath.equals("")) {
            kitPath = System.getProperty(PROPERTY_KIT_LOCATION); //test support
        }

        return kitPath;
    }


    public static String getWebXmlPath() {
        return getCeltixInstallPath() + WEB_XML_PATH_IN_KIT;
    }

    public static String getLibPath() {
        return getCeltixInstallPath() + LIB_PATH_IN_KIT;
    }
}
